get schedule for an action
curl --request GET \
--url https://cloud.bytebeam.io/api/v1/actions/{action_id}/schedule \
--header 'x-bytebeam-api-key: <api-key>' \
--header 'x-bytebeam-tenant: <api-key>'import requests
url = "https://cloud.bytebeam.io/api/v1/actions/{action_id}/schedule"
headers = {
"x-bytebeam-api-key": "<api-key>",
"x-bytebeam-tenant": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bytebeam-api-key': '<api-key>', 'x-bytebeam-tenant': '<api-key>'}
};
fetch('https://cloud.bytebeam.io/api/v1/actions/{action_id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phases_triggered": [
true
],
"next_phase_index": 123,
"end_timestamp": 123,
"retry_on_failure_until": 123,
"phases": [
{
"name": "<string>",
"trigger_on": {},
"info": {}
}
],
"status": "<string>",
"id": 123,
"tenant_id": "<string>",
"release_notes": "<string>"
}API Reference
get schedule for an action
GET
/
api
/
v1
/
actions
/
{action_id}
/
schedule
get schedule for an action
Authorizations
API key required to authenticate requests.
Tenant(Project) name required to identify the project.
Path Parameters
⌘I